curl --request GET \
--url https://api.syntage.com/shareholders/{shareholderId}/relations/{relationId} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.syntage.com/shareholders/{shareholderId}/relations/{relationId}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.syntage.com/shareholders/{shareholderId}/relations/{relationId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "82cd9012-3456-7890-abcd-ef1234567890",
"link": "/entities/91ab5678-1234-5678-9abc-def012345678",
"shareholder": {
"id": "91ab5678-1234-5678-9abc-def012345678",
"name": "JUAN MANUEL PEREZ GONZALEZ",
"type": "physical",
"rfc": "PEIC211118IS0",
"relations": "<array>",
"entity": "/entities/91ab5678-1234-5678-9abc-def012345678",
"createdAt": "2020-01-01T12:15:00.000Z",
"updatedAt": "2020-01-01T12:15:00.000Z",
"@id": "/shareholders/91ab5678-1234-5678-9abc-def012345678",
"@type": "Shareholder"
},
"relationType": "shareholders",
"sources": [
{
"id": "73de0123-4567-8901-bcde-f23456789012",
"relation": "<unknown>",
"shareholder": {
"id": "91ab5678-1234-5678-9abc-def012345678",
"name": "JUAN MANUEL PEREZ GONZALEZ",
"type": "physical",
"rfc": "PEIC211118IS0",
"relations": "<array>",
"entity": "/entities/91ab5678-1234-5678-9abc-def012345678",
"createdAt": "2020-01-01T12:15:00.000Z",
"updatedAt": "2020-01-01T12:15:00.000Z",
"@id": "/shareholders/91ab5678-1234-5678-9abc-def012345678",
"@type": "Shareholder"
},
"sourceName": "manual",
"sourceId": "64ef1234-5678-9012-cdef-345678901234",
"shares": 1500.5,
"createdAt": "2020-01-01T12:15:00.000Z",
"updatedAt": "2020-01-01T12:15:00.000Z",
"@id": "/shareholders/91ab5678-1234-5678-9abc-def012345678/relations/82cd9012-3456-7890-abcd-ef1234567890/sources/73de0123-4567-8901-bcde-f23456789012",
"@type": "ShareholderRelationsSource"
}
],
"shares": 1500.5,
"totalShares": 10000,
"ownership": 0.15,
"createdAt": "2020-01-01T12:15:00.000Z",
"updatedAt": "2020-01-01T12:15:00.000Z",
"@id": "/shareholders/91ab5678-1234-5678-9abc-def012345678/relations/82cd9012-3456-7890-abcd-ef1234567890",
"@type": "ShareholderRelation"
}{
"message": "<string>"
}{
"message": "<string>"
}Retrieve a shareholder relation
Retrieves one shareholder relation by ID.
Authorizations
Your API key is available in the Production and Sandbox dashboards.
Path Parameters
The shareholder ID
The relation ID
Response
Shareholder Relation
Unique shareholder relation ID
"82cd9012-3456-7890-abcd-ef1234567890"
Entity connected to this shareholder relation
"/entities/91ab5678-1234-5678-9abc-def012345678"
Shareholder connected by this relation
Show child attributes
Show child attributes
Direction of the ownership relation between the shareholder and entity
shareholders, shareholder_of "shareholders"
Sources that support this shareholder relation
Show child attributes
Show child attributes
Number of shares represented by this relation
1500.5
Total number of shares in the company, when known
10000
Ownership ratio as a decimal value, for example 0.15 means 15%
0.15
Date and time the resource was created
"2020-01-01T12:15:00.000Z"
Date and time the resource was last updated
"2020-01-01T12:15:00.000Z"
ShareholderRelation IRI reference
"/shareholders/91ab5678-1234-5678-9abc-def012345678/relations/82cd9012-3456-7890-abcd-ef1234567890"
Was this page helpful?